Skip to main content
GET
/
v1
/
webhooks
/
{id}
Get webhook
curl --request GET \
  --url https://api.runflow.io/v1/webhooks/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "url": "<string>",
  "secret_fingerprint": "<string>",
  "disabled_at": "2023-11-07T05:31:56Z",
  "last_triggered_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "event_subscriptions": [
    {
      "webhook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "event_type_code": "<string>"
    }
  ],
  "deliveries": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "webhook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "event_type_code": "<string>",
      "payload": {},
      "created_at": "2023-11-07T05:31:56Z",
      "attempts": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "delivery_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "attempt_number": 123,
          "status_code": 123,
          "response_body": "<string>",
          "response_time_ms": 123,
          "succeeded": true,
          "next_retry_at": "2023-11-07T05:31:56Z",
          "created_at": "2023-11-07T05:31:56Z",
          "delivery": null
        }
      ],
      "webhook": null
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Organization-Id
string | null

Path Parameters

id
string<uuid>
required

Query Parameters

embed
string | null

Relation embedding. Available values: deliveries, event_subscriptions. Use a comma-separated list to request multiple embeds.

Response

The requested webhook.

Response shape.

id
string<uuid> | null
org_id
string<uuid> | null
url
string | null
secret_fingerprint
string | null
disabled_at
string<date-time> | null
last_triggered_at
string<date-time> | null
created_at
string<date-time> | null
updated_at
string<date-time> | null
event_subscriptions
FullValidator · object[] | null
deliveries
FullValidator · object[] | null